searchNodes=[{"doc":"Installs multi_select component in the existing project. $ mix multi_select.install","ref":"Mix.Tasks.MultiSelect.Install.html","title":"Mix.Tasks.MultiSelect.Install","type":"task"},{"doc":"Multi-select component for Phoenix LiveView. Use in your HEEX templates with: &lt; . multi_select id = &quot;multi&quot; options = { %{ id : 1 , label : &quot;One&quot; } , %{ id : 2 , label : &quot;Two&quot; } , } &gt; See multi_select/1 for details.","ref":"Phoenix.LiveView.Components.MultiSelect.html","title":"Phoenix.LiveView.Components.MultiSelect","type":"module"},{"doc":"MultiSelect LiveView stateful component. The component implements a number of configuration options: :id - the required unique ID of the HTML element for this component :debounce - the integer controlling a phx-debounce value for the search input :options - a required list of %{id: any(), label: string()} options to select from :form - the required form name owning this component :on_change - a lambda (options :: [%Multiselect.Option{}]) -&gt; ok called on change of selected items :class - class added to the main div of the component :max_selected - max number of selected items :wrap - allow to wrap selected tags to multiple lines :title - component's title to use as the tooltip :placeholder - component's placeholder text :search_placeholder - placeholder for the search input box :search_cbox_titles - titles on|off of the checked icon in the search checkbox (default: &quot;Clear filter of selected items|Filter selected items&quot;) :filter_side - apply item filtering on client or server (default: client) Attributes id ( :string ) (required) debounce ( :integer ) - Defaults to 350 . options ( :list ) - List of %{id: String.t, label: String.t} maps. Defaults to [] . form ( :any ) (required) on_change ( :any ) - Lambda (options) -&gt; ok to be called on selecting items. class ( :string ) - Defaults to nil . max_selected ( :integer ) - Max number of items selected. Defaults to nil . max_shown ( :integer ) - Max number of shown selected tags. Defaults to 100000 . wrap ( :boolean ) - Permit multiline wrapping of selected items. Defaults to false . title ( :string ) - Component tooltip title. Defaults to nil . placeholder ( :string ) - Placeholder shown on empty input. Defaults to &quot;Select...&quot; . search_placeholder ( :string ) - Placeholder for the search input. Defaults to &quot;Search...&quot; . search_cbox_titles ( :string ) - Titles on|off of the checked icon in the search checkbox. Defaults to &quot;Clear filter of selected items|Filter selected items&quot; . filter_side ( :atom ) - Defaults to :client .","ref":"Phoenix.LiveView.Components.MultiSelect.html#multi_select/1","title":"Phoenix.LiveView.Components.MultiSelect.multi_select/1","type":"function"},{"doc":"Call this function to notify the LiveView to update the settings of the multi_select component identified by the id .","ref":"Phoenix.LiveView.Components.MultiSelect.html#update_settings/2","title":"Phoenix.LiveView.Components.MultiSelect.update_settings/2","type":"function"},{"doc":"","ref":"Phoenix.LiveView.Components.MultiSelect.Option.html","title":"Phoenix.LiveView.Components.MultiSelect.Option","type":"module"},{"doc":"The option struct can be used for passing a list of option values to the multi_select component.","ref":"Phoenix.LiveView.Components.MultiSelect.Option.html#__struct__/0","title":"Phoenix.LiveView.Components.MultiSelect.Option.__struct__/0","type":"function"},{"doc":"","ref":"Phoenix.LiveView.Components.MultiSelect.Option.html#new/1","title":"Phoenix.LiveView.Components.MultiSelect.Option.new/1","type":"function"},{"doc":"","ref":"Phoenix.LiveView.Components.MultiSelect.Option.html#t:t/0","title":"Phoenix.LiveView.Components.MultiSelect.Option.t/0","type":"type"},{"doc":"This project implements an Elixir Phoenix LiveView component that has a capability of selecting multiple checkboxed items from a list. The component supports the following options: Selection of multiple items from the given list of options Limit the max number of selected items Ability to either wrap the selected tags in the main div of the component or collapse them in a single tag Ability to search in the list of options on the client side or on the server side Support of light/dark color themes Here's a sample video illustrating what this component looks like in action. This component is inspired by this article but is a complete rewrite with added features for usability.","ref":"readme.html","title":"Phoenix LiveView MultiSelect Component","type":"extras"},{"doc":"Serge Aleynikov","ref":"readme.html#author","title":"Phoenix LiveView MultiSelect Component - Author","type":"extras"},{"doc":"Include the project in the mix.exs as a dependency: defp deps do [ { :phoenix_multi_select , &quot;~&gt; 0.0&quot; } , ... ] Run mix deps.get , and mix multi_select.install . This will modify the following files: assets/tailwind.config.js - to add the necessary color alias, and search path assets/package.json - to add the tailwind scrollbar customization assets/js/hooks/multi-select-hook.js - copied from the multi_select source assets/js/hooks/index.js - add the MultiSelectHook","ref":"readme.html#installation","title":"Phoenix LiveView MultiSelect Component - Installation","type":"extras"},{"doc":"In your project locate this file {{your_project}}_web.ex , and add: defp html_helpers do quote do ... use Phoenix.LiveView.Components.MultiSelect ## &lt;--- add this line ... end end Now in the *.html.heex templates you can use the multi_select LiveView component like this: &lt;.multi_select id=&quot;some-id&quot; options={ {id: 1, label: &quot;Option1&quot;}, {id: 2, label: &quot;Option2&quot;}, ... } /&gt; For list of the available component's options see Phoenix.LiveView.Components.MultiSelect.multi_select/1","ref":"readme.html#usage","title":"Phoenix LiveView MultiSelect Component - Usage","type":"extras"},{"doc":"In order to add a custom class name to the multi_select component so that it can be customized in your CSS files, add the following option to config.exs : config . exs : === === === == ... config :live_view , :phoenix_multi_select , class_prefix : &quot;some-class-name&quot; You can also override the build-in CSS classes for every aspect of the component's presentation by defining a custom callback module, that implements a apply_css/2 function, which will be called to get a string of CSS classes for every part of the component. Here is an example where the primary color is replaced by pink . See the @css attribute in multi_select.ex for the list of permissible tag values passed to the apply_css/2 function. config . exs : === === === == ... config :live_view , :phoenix_multi_select , class_module : MyModule my_module . ex : === === === === = defmodule MyModule do def apply_css ( _tag , def_css_classes ) , do : String . replace ( def_css_classes , &quot;primary&quot; , &quot;pink&quot; ) end","ref":"readme.html#customization","title":"Phoenix LiveView MultiSelect Component - Customization","type":"extras"},{"doc":"The demo project is located in the examples/ directory, and can be compiled and run with: cd examples make make run Now you can visit localhost:4000 from your browser.","ref":"readme.html#demo","title":"Phoenix LiveView MultiSelect Component - Demo","type":"extras"}]